Bug 1573626 - SELinux is preventing umount from 'unlink' accesses on the plik utab.
Summary: SELinux is preventing umount from 'unlink' accesses on the plik utab.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snapd
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zygmunt Krynicki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ebc211d2288ce941aabe8c230d4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 19:48 UTC by Marek Michał Mazur
Modified: 2018-09-18 06:20 UTC (History)
7 users (show)

Fixed In Version: snapd-2.35-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-18 06:20:49 UTC
Type: ---


Attachments (Terms of Use)

Description Marek Michał Mazur 2018-05-01 19:48:09 UTC
Description of problem:
Issue after snapd installation.
SELinux is preventing umount from 'unlink' accesses on the plik utab.

*****  Plugin catchall (100. confidence) suggests   **************************

Aby umount powinno mieć domyślnie unlink dostęp do utab file.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
można tymczasowo zezwolić na ten dostęp wykonując polecenia:
# ausearch -c 'umount' --raw | audit2allow -M my-umount
# semodule -X 300 -i my-umount.pp

Additional Information:
Source Context                system_u:system_r:snappy_t:s0
Target Context                system_u:object_r:mount_var_run_t:s0
Target Objects                utab [ file ]
Source                        umount
Source Path                   umount
Port                          <Nieznane>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.32.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.16.3-200.fc27.x86_64 #1 SMP Thu
                              Apr 19 19:33:38 UTC 2018 x86_64 x86_64
Alert Count                   1
First Seen                    2018-05-01 20:14:34 CEST
Last Seen                     2018-05-01 20:14:34 CEST
Local ID                      9a082218-d575-409a-afc5-8b871a207357

Raw Audit Messages
type=AVC msg=audit(1525198474.420:1074): avc:  denied  { unlink } for  pid=586 comm="umount" name="utab" dev="tmpfs" ino=1644484 scontext=system_u:system_r:snappy_t:s0 tcontext=system_u:object_r:mount_var_run_t:s0 tclass=file permissive=1


Hash: umount,snappy_t,mount_var_run_t,file,unlink

Version-Release number of selected component:
selinux-policy-3.13.1-283.32.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.16.3-200.fc27.x86_64
type:           libreport

Comment 1 Fedora Update System 2018-09-09 06:33:49 UTC
snapd-2.35-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d6660293c6

Comment 2 Fedora Update System 2018-09-09 20:23:32 UTC
snapd-2.35-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d6660293c6

Comment 3 Fedora Update System 2018-09-18 06:20:49 UTC
snapd-2.35-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.